;;; 65wl-beta.el --- Debian wl-beta startup file  -*-mode: emacs-lisp;-*-

(let* ((pkg "wl-beta")
       (pkg-sname "wl")
       (flavor-name (if (boundp 'debian-emacs-flavor)
			(symbol-name debian-emacs-flavor)
		      "emacs"))
       (pkg-inst (concat "/usr/lib/emacsen-common/packages/install/" pkg))
       (elc-dir (concat "/usr/share/" flavor-name "/site-lisp/" pkg-sname)))
  (when (and (file-exists-p elc-dir)
	     (file-exists-p pkg-inst))
    (if (fboundp 'debian-pkg-add-load-path-item)
	(debian-pkg-add-load-path-item elc-dir)
      (setq load-path (cons elc-dir load-path)))
    ;;
    (autoload 'wl-user-agent-compose "wl-draft" nil t)
    (if (fboundp 'define-mail-user-agent)
	(define-mail-user-agent
	  'wl-user-agent
	  'wl-user-agent-compose
	  'wl-draft-send
	  'wl-draft-kill
	  'mail-send-hook))
    (autoload 'wl "wl" "Wanderlust" t)
    (autoload 'wl-other-frame "wl" "Wanderlust on new frame." t)
    (autoload 'wl-draft "wl" "Write draft with Wanderlust." t)
    (setq wl-icon-directory "/usr/share/pixmaps/wl/")
    ;; For gnutls.el:
    ;;(setq network-security-level 'medium) ;; For the Network Security Manager (NSM)
    ;;(setq gnutls-verify-error nil) ;; Verification is enabled by NSM
    ;;(setq gnutls-min-prime-bits nil)
    ;;;;(setq gnutls-min-prime-bits 2048)
    ;;(setq gnutls-algorithm-priority nil)
    ;;;;(setq gnutls-algorithm-priority "SECURE128:-VERS-SSL3.0:-VERS-TLS1.0:-VERS-TLS1.1")
    ;;;;(setq gnutls-algorithm-priority "NORMAL:-VERS-SSL3.0:-VERS-TLS1.3")
    ;; For tls.el/starttls.el:
    ;;;;(defadvice gnutls-available-p (around to-ignore activate))
    ;;(setq tls-checktrust t)
    ;;(setq tls-program '("gnutls-cli --x509cafile /etc/ssl/certs/ca-certificates.crt --priority SECURE128:-VERS-SSL3.0:-VERS-TLS1.0:-VERS-TLS1.1 -p %p %h"))
    ;;(setq starttls-success "- Options:")
    ;; For ssl.el:
    (setq ssl-certificate-directory "/etc/ssl/certs")
    (setq ssl-certificate-verification-policy 3)
    (setq ssl-program-name "openssl") ;; ssl-certificate-information requires openssl
    (setq ssl-program-arguments
	  '("s_client" "-quiet" "-host" host "-port" service
	    "-verify" (int-to-string ssl-certificate-verification-policy)
	    "-verify_return_error"
	    "-CApath" ssl-certificate-directory))
    (setq wl-auto-save-drafts-interval nil)
    (setq elmo-archive-tar-method-alist
	  '((ls    . ("tar" "-tf"))
	    (cat   . ("tar" "-Oxf"))
	    (ext   . ("tar" "-xf"))
	    ;;(rm    . ("tar" "--delete" "-f")) ;; well not work
	    ))
    (setq elmo-archive-tgz-method-alist
	  '((ls         . ("tar" "-ztf"))
	    (cat        . ("tar" "-Ozxf"))
	    (create     . ("tar" "-zcf"))
	    ;;(rm         . elmo-archive-tgz-rm-func)
	    (cp         . elmo-archive-tgz-cp-func)
	    (mv         . elmo-archive-tgz-mv-func)
	    (ext        . ("tar" "-zxf"))
	    ;; tgz special method
	    (decompress . ("gzip" "-d"))
	    (compress   . ("gzip"))
	    (append     . ("tar" "-uf"))
	    ;;(delete     . ("tar" "--delete" "-f")) ;; well not work
	    ))
    ;;
    ))

;;; 65wl-beta.el ends here
